# Évolution du logiciel Démarches-Simplifiées

**A quoi sert le projet évolution DS. ici on ne parle que du destinataire. Peut être préciser que c'est l'Adullact qui centralise les demandes d'évolutions pour les étudier et ensuite échanger avec la dinum quand à leur mise en place. une petite intro de a démarche. On retrouve les infos mais plus bas dans le README**

Les [demandes d'évolution](https://gitlab.adullact.net/demarches-simplifiees/evolution-du-logiciel-demarches-simplifiees/-/issues)
du logiciel **Démarches-Simplifiées** <br>pour les **collectivités** et les **ESR** (établissements d'enseignement supérieur ou de recherche) :

- [fonctionnalités pour les **super-admins**](https://gitlab.adullact.net/demarches-simplifiees/evolution-du-logiciel-demarches-simplifiees/-/issues/?label_name%5B%5D=ETQ%20super-admin)
- [fonctionnalités pour les **administrateurs**](https://gitlab.adullact.net/demarches-simplifiees/evolution-du-logiciel-demarches-simplifiees/-/issues/?label_name%5B%5D=ETQ%20administrateur)
- [fonctionnalités pour les **instructeurs**](https://gitlab.adullact.net/demarches-simplifiees/evolution-du-logiciel-demarches-simplifiees/-/issues/?label_name%5B%5D=ETQ%20instructeur)
- [fonctionnalités pour les **experts**](https://gitlab.adullact.net/demarches-simplifiees/evolution-du-logiciel-demarches-simplifiees/-/issues/?label_name%5B%5D=ETQ%20expert)
- [fonctionnalités pour les **invités**](https://gitlab.adullact.net/demarches-simplifiees/evolution-du-logiciel-demarches-simplifiees/-/issues/?label_name%5B%5D=ETQ%20invit%C3%A9)
- [fonctionnalités pour les **usagers**](https://gitlab.adullact.net/demarches-simplifiees/evolution-du-logiciel-demarches-simplifiees/-/issues/?label_name%5B%5D=ETQ%20usager)


## Vocabulaire

- **collectivités** = ville, département, région, EPCI, ...
- **ESR** = universités et établissements d'enseignement supérieur ou de recherche

---------------------

- **DS** = Logiciel "Démarches Simplifiées"
- **DS.fr** = Instance DS de la DINUM = service [demarches-simplifiees.fr](https://demarches-simplifiees.fr) utilisant le logiciel DS
- **Instance DS** de l'**Adullact** = service [demarches.adullact.org](https://demarches.adullact.org) utilisant le logiciel DS
- **Instance DS** = service en ligne utilisant le logiciel DS
- L'**équipe DS** = l'équipe de la DINUM en charge du développement du logiciel DS et la gestion de l'instance DS de l'état (DS.fr).

Voir aussi le [vocabulaire métier](#Rappel-du-vocabulaire-métier-à-utiliser-dans-vos-demandes)

---------------------

## Principes

- **No fork** : les fonctionnalités doivent être développées pour être intégrées
  dans le code du logiciel DS et une phase d'échange avec l'équipe DS sera nécessaire en amont du code.
- Le **temps** de l'**équipe DS** est **précieux** et l'objectif est de ne pas surcharger l'équipe DS qui a sa propre roadmap.
- L'ADULLACT  **mutualise** et relaye les **demandes d’évolutions** pour les **collectivités** auprès de la DINUM.
- L'AMUE et l'ADULLACT  mutualisent et relayent les demandes d’évolutions pour les ESR.

---------------------


## Demander de nouvelles fonctionnalités

Pour les demandes d'évolution au logiciel DS, comme une nouvelle fonctionnalité, nous vous invitons à suivre processus suivant :

1. [Créer un ticket](https://gitlab.adullact.net/demarches-simplifiees/evolution-du-logiciel-demarches-simplifiees/-/issues/new)
   dans ce dépôt pour décrire le besoin. (exemple : [ticket #8](https://gitlab.adullact.net/demarches-simplifiees/evolution-du-logiciel-demarches-simplifiees/-/issues/8))
   - contexte et résumé du besoin (peu-être préciser de conserver les éléments pré saisi ??)
   - éventuellement rédiger les "user stories" (les besoins du point de vue des utilisateurs)
   - éventuellement rédiger les "tests d'acceptation" (le descriptif des fonctionnements attendus)
1. Les échanges autour de ce besoin pourront se poursuivre directement sur ce nouveau ticket entre vous, les autres collectivités ou ESR, l'Adullact et éventuellement la DINUM.

A chaque nouveau ticket, l'Adullact vérifiera les points suivants :

- si c'est une fonctionnalité existante et activée sur l'instance de l'Adullact ?
- si il existe des solutions alternatives ?
- si c'est une fonctionnalité en cours de développement ?
- si c'est une fonctionnalité intéressante mais non planifiée par l'équipe DS ?
- s'il faut affiner l'analyse du besoin ?
- ...

**Ajout phrase de type "en fonction l'Adullact transmettra la demande d'évolution à la dinum ou bien vous orientera vers la solution adéquate si celle-ci est existante..."**

## Rappel du vocabulaire métier à utiliser dans vos demandes

- **Démarche** : démarche administrative créée par une collectivité,
et à destination de ses usagers (personne ou organisation). Exemple : inscription à la cantine, demande d’état civil…
- **Dossier** : ensemble des informations saisies par un usager (personne ou organisation) pour une démarche.
- **Usager** : personne ou organisation qui dépose un dossier sur une démarche (l'inscription se fait de manière autonome).
- **Invité** : personne sollicitée par un usager pour modifier son dossier.
- **Expert** : personne sollicitée par un instructeur pour donner son avis sur un dossier.
- **Instructeur** : personne chargée de traiter les dossiers d’une démarche.
- **Administrateur** : personne chargée de la création des démarches et de la gestion des instructeurs sur les démarches (ajout et suppression).
- **Super-Admin** : personne chargée de la gestion des administrateurs et d'autres tâches de gestion de l'instance DS.
